varFixed {nlme} | R Documentation

## Fixed Variance Function

### Description

This function is a constructor for the `varFixed` class, representing a variance function with fixed variances. Letting v denote the variance covariate defined in `value`, the variance function s2(v) for this class is s2(v)=|v|. The variance covariate v is evaluated once at initialization and remains fixed thereafter. No coefficients are required to represent this variance function.

### Usage

    varFixed(value)

### Arguments

`value` | a one-sided formula of the form `~ v` specifying a variance covariate `v`. Grouping factors are ignored.

### Value

a `varFixed` object representing a fixed variance function structure, also inheriting from class `varFunc`.

### Author(s)

Jose Pinheiro Jose.Pinheiro@pharma.novartis.com and Douglas Bates bates@stat.wisc.edu

### References

Pinheiro, J.C., and Bates, D.M. (2000) "Mixed-Effects Models in S and S-PLUS", Springer.

### See Also

`varClasses`, `varWeights.varFunc`, `varFunc`

### Examples

    vf1 <- varFixed(~age)

[Package nlme version 3.1-86 Index]